//=============================================================================
// TMVplugin - 擪ёւs
// : tomoaky (http://hikimoki.sakura.ne.jp/)
// Version: 1.0
// ŏIXV: 2015/12/04
//=============================================================================

/*:
 * @plugindesc p[eB̐擪ɂAN^[̕ёւ֎~܂B
 * 
 * @author tomoaky (http://hikimoki.sakura.ne.jp/)
 *
 * @help
 * Q[Jn͐擪AN^[̕ёւ֎~̏ԂɂȂ܂B
 * KvɉăvOCR}hŉĂB
 *
 * vOCR}h:
 *   TMTopFix stop      # 擪ёւ֎~܂B
 *   TMTopFix start     # 擪ёւ֎~܂B
 *
 */

var Imported = Imported || {};
Imported.TMTopFix = true;

(function() {

  Game_System.prototype.setTopFix = function(topFix) {
    this._topFix = topFix;
  };

  Game_System.prototype.isTopFix = function() {
    this._topFix = this._topFix === undefined ? true : this._topFix;
    return this._topFix;
  };
  
  var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;
  Game_Interpreter.prototype.pluginCommand = function(command, args) {
    _Game_Interpreter_pluginCommand.call(this, command, args);
    if (command === 'TMTopFix') {
      switch (args[0]) {
      case 'stop':
        $gameSystem.setTopFix(false);
        break;
      case 'start':
        $gameSystem.setTopFix(true);
        break;
      }
    }
  };

  var _Window_MenuStatus_isCurrentItemEnabled =
      Window_MenuStatus.prototype.isCurrentItemEnabled;
  Window_MenuStatus.prototype.isCurrentItemEnabled = function() {
    if ($gameSystem.isTopFix() && this._formationMode &&
        this.index() === 0) {
      return false;
    } else {
      return _Window_MenuStatus_isCurrentItemEnabled.call(this);
    }
  };

})();